# Group 02 FIN556 Algorithmic Market Microstructure Final Project

## Teammates

**Ashitabh Misra**
* I am Ashitabh Misra, I am pursuing a PhD in Computer Science at University of Illinois at Urbana Champaign. My research spans compilers, probabilistic programming, IoT systems, and machine learning. Before this, I have done research in effecient Static Analysis for Cache-Miss Calculation for tiled kernels and Neural Network Compression techniques. My thesis is focused on devloping techniques to deploy probabilistic models and machine learning models on resource constrained for cyber-physical systems that perform real time classification. My courses include, Compiler Construction, Advanced Compiler Construction, Mobile Robotics, Advanced Topics in Programming Systems. My programming experience entails creating a toy-language [ViX](https://ieeexplore.ieee.org/document/10137324) (embedded in C++, for low-precision probabilistic modeling), C++, C, Python, and Shell Scripting. I will be graduating in August 2025.

* Email: misra8@illinois.edu

* LinkedIn Profile: [Ashitabh Misra](https://www.linkedin.com/in/ashitabh-misra-700225150)

**Michael Bhang**
* I am Min Hyuk (Michael) Bhang, an undergraduate majoring in Industiral Engineering (Track option: Economics and Finance) and minoring in Computer Science at the University of Illinois at Urbana-Champaign. My professional industry experience includes investigating Fintech utilizing blockchain technology to prevent fraud and anonymize personal data, and connecting crypto consultee with venture capitals and private equities to raise funds for seed and early stages in East Asia. Alongside the industry experience, I have strong interest and background in day-trading with 4 years of experience. I currently scalp/daytrade NASDAQ futures (NQ) on a daily basis.

* Email: [mbhang2@illinois.edu](mbhang2@illinois.edu)

* LinkedIn: [Min Hyuk Bhang](https://www.linkedin.com/in/michael-bhang/)


**Lux Vijayan**
* I'm Laxmi (Lux) Vijayan, a Master's of Computer Science student at the University of Illinois Urbana-Champaign, set to graduate in August 2024. With over 6 years of experience in data analysis and human subjects research, I'm passionate about applying computational methods like network analysis to real-world challenges. During a recent 4-month NSF DREAM Fellowship at UIUC, I delved into unsupervised machine learning techniques and network analysis to uncover patterns in citation networks. I am proficient in Python, Java, Ruby, and shell scripting. 

* I am currently looking for Summer 2024 internships or full-time opportunities in FinTech. Please reach me on [LinkedIn](https://www.linkedin.com/in/luxvijayan/) or via [email](laxmiv2@illinois.edu). 


**Akshay Pandit**
* I am Akshay Pandit, a PhD student in Civil Engineering (Concentration: Computational Science and Engineering) with a  Master's degree in Applied Statistics at the University of Illinois at Urbana-Champaign. My thesis focuses on understanding the impact of Food trade on agricultural variables. I am graduating in August 2025, and have taken courses in Time Series Analysis, Machine Learning, Regression Design, and Stochastic Processes. I have industry experience in the field of Data Science and Deep Learning as an intern at Caterpillar and Corteva Agriscience respectively. I am proficient in languages such as Python, R, C++ and Bash, and I am always willing to learn new languages. My interests include Machine learning, Finance, and Crypto.

* Link to my Linkedin Profile: [Akshay Pandit](www.linkedin.com/in/akshay-pandit)

* Email ID: [apandit2@illinois.edu](apandit2@illinois.edu)



## Getting started

To make it easy for you to get started with GitLab, here's a list of recommended next steps.

Already a pro? Just edit this README.md and make it your own. Want to make it easy? [Use the template at the bottom](#editing-this-readme)!

## Add your files

- [ ] [Create](https://docs.gitlab.com/ee/user/project/repository/web_editor.html#create-a-file) or [upload](https://docs.gitlab.com/ee/user/project/repository/web_editor.html#upload-a-file) files
- [ ] [Add files using the command line](https://docs.gitlab.com/ee/gitlab-basics/add-file.html#add-a-file-using-the-command-line) or push an existing Git repository with the following command:

```
cd existing_repo
git remote add origin https://gitlab.engr.illinois.edu/fin556_algo_market_micro_fall_2023/fin556_algo_fall_2023_group_02/group_02_project.git
git branch -M main
git push -uf origin main
```

## Integrate with your tools

- [ ] [Set up project integrations](https://gitlab.engr.illinois.edu/fin556_algo_market_micro_fall_2023/fin556_algo_fall_2023_group_02/group_02_project/-/settings/integrations)

## Collaborate with your team

- [ ] [Invite team members and collaborators](https://docs.gitlab.com/ee/user/project/members/)
- [ ] [Create a new merge request](https://docs.gitlab.com/ee/user/project/merge_requests/creating_merge_requests.html)
- [ ] [Automatically close issues from merge requests](https://docs.gitlab.com/ee/user/project/issues/managing_issues.html#closing-issues-automatically)
- [ ] [Enable merge request approvals](https://docs.gitlab.com/ee/user/project/merge_requests/approvals/)
- [ ] [Set auto-merge](https://docs.gitlab.com/ee/user/project/merge_requests/merge_when_pipeline_succeeds.html)

## Test and Deploy

Use the built-in continuous integration in GitLab.

- [ ] [Get started with GitLab CI/CD](https://docs.gitlab.com/ee/ci/quick_start/index.html)
- [ ] [Analyze your code for known vulnerabilities with Static Application Security Testing(SAST)](https://docs.gitlab.com/ee/user/application_security/sast/)
- [ ] [Deploy to Kubernetes, Amazon EC2, or Amazon ECS using Auto Deploy](https://docs.gitlab.com/ee/topics/autodevops/requirements.html)
- [ ] [Use pull-based deployments for improved Kubernetes management](https://docs.gitlab.com/ee/user/clusters/agent/)
- [ ] [Set up protected environments](https://docs.gitlab.com/ee/ci/environments/protected_environments.html)

***

# Editing this README

When you're ready to make this README your own, just edit this file and use the handy template below (or feel free to structure it however you want - this is just a starting point!). Thank you to [makeareadme.com](https://www.makeareadme.com/) for this template.

## Suggestions for a good README
Every project is different, so consider which of these sections apply to yours. The sections used in the template are suggestions for most open source projects. Also keep in mind that while a README can be too long and detailed, too long is better than too short. If you think your README is too long, consider utilizing another form of documentation rather than cutting out information.

## Name
Choose a self-explaining name for your project.

## Description
Let people know what your project can do specifically. Provide context and add a link to any reference visitors might be unfamiliar with. A list of Features or a Background subsection can also be added here. If there are alternatives to your project, this is a good place to list differentiating factors.

## Badges
On some READMEs, you may see small images that convey metadata, such as whether or not all the tests are passing for the project. You can use Shields to add some to your README. Many services also have instructions for adding a badge.

## Visuals
Depending on what you are making, it can be a good idea to include screenshots or even a video (you'll frequently see GIFs rather than actual videos). Tools like ttygif can help, but check out Asciinema for a more sophisticated method.

## Installation
Within a particular ecosystem, there may be a common way of installing things, such as using Yarn, NuGet, or Homebrew. However, consider the possibility that whoever is reading your README is a novice and would like more guidance. Listing specific steps helps remove ambiguity and gets people to using your project as quickly as possible. If it only runs in a specific context like a particular programming language version or operating system or has dependencies that have to be installed manually, also add a Requirements subsection.

## Usage
Use examples liberally, and show the expected output if you can. It's helpful to have inline the smallest example of usage that you can demonstrate, while providing links to more sophisticated examples if they are too long to reasonably include in the README.

## Support
Tell people where they can go to for help. It can be any combination of an issue tracker, a chat room, an email address, etc.

## Roadmap
If you have ideas for releases in the future, it is a good idea to list them in the README.

## Contributing
State if you are open to contributions and what your requirements are for accepting them.

For people who want to make changes to your project, it's helpful to have some documentation on how to get started. Perhaps there is a script that they should run or some environment variables that they need to set. Make these steps explicit. These instructions could also be useful to your future self.

You can also document commands to lint the code or run tests. These steps help to ensure high code quality and reduce the likelihood that the changes inadvertently break something. Having instructions for running tests is especially helpful if it requires external setup, such as starting a Selenium server for testing in a browser.

## Authors and acknowledgment
Show your appreciation to those who have contributed to the project.

## License
For open source projects, say how it is licensed.

## Project status
If you have run out of energy or time for your project, put a note at the top of the README saying that development has slowed down or stopped completely. Someone may choose to fork your project or volunteer to step in as a maintainer or owner, allowing your project to keep going. You can also make an explicit request for maintainers.
